Upgrade Warnings: LMDE tracking TESTING [10-11-14]

Archived topics about LMDE 1 and LMDE 2
Locked
User avatar
narendra.d
Level 2
Level 2
Posts: 69
Joined: Thu Mar 24, 2011 9:36 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by narendra.d »

Thank You @ChrisM for the reassurance, I too have seen fewer issues reported with nouveau. I will defer the upgrade for a day or two to see if there are any issues reported.

@zerozero: Removing the preference file just adds inxi to the list of packages to be upgraded/added on dist-upgrade. So I have removed the file now. Will upgrade once I feel reassured there won't be any big breakages with the new kernel.

User avatar
narendra.d
Level 2
Level 2
Posts: 69
Joined: Thu Mar 24, 2011 9:36 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by narendra.d »

With the reassurance of the members here and the fact that I will have the older kernel anyway, I jumped in and did a dist-upgrade, except iproute, which apt-list bugs says has a bug. No problems encountered. Works pretty well.

Thank you all for the help.

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

I have build errors with the 3.9-1-686-pae kernel and nvidia-kernel-dkms_295.59. I know this is an old driver but it's the only one that works with TV-out, as I already reported last year. Anyway, it seems to happen with the newer drivers also.

First build error:

error: too many arguments to function ‘acpi_os_wait_events_complete’

Fix in /usr/src/nvidia-295.59/nv-acpi.c:

- acpi_os_wait_events_complete(NULL);
+ acpi_os_wait_events_complete();

Second build error:

error: ‘VM_RESERVED’ undeclared (first use in this function)

Fix in /usr/src/nvidia-295.59/nv-mmap.c by adding these somewhere in the beginning of the file:

#ifndef VM_RESERVED
#define VM_RESERVED (VM_DONTEXPAND | VM_DONTDUMP)
#endif

Then build with:

dkms install -m nvidia -v 295.59 -k 3.9-1-686-pae

(Change version numbers according to your nvidia version/kernel)

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

Gnome desktop starts but Gnome Shell doesn't.

Code: Select all

(gnome-settings-daemon:3372): color-plugin-WARNING **: failed to get edid: unable to get EDID for output
(gnome-settings-daemon:3372): color-plugin-WARNING **: unable to get EDID for xrandr-default: unable to get EDID for output
(gnome-settings-daemon:3372): color-plugin-WARNING **: failed to reset xrandr-default gamma tables: gamma size is zero

    JS ERROR: !!!   Exception was: TypeError: GnomeBluetoothApplet.KillswitchState is undefined
    JS ERROR: !!!     message = '"GnomeBluetoothApplet.KillswitchState is undefined"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/status/bluetooth.js"'
    JS ERROR: !!!     lineNumber = '97'
    JS ERROR: !!!     stack = '"()@/usr/share/gnome-shell/js/ui/status/bluetooth.js:97
wrapper()@/usr/share/gjs-1.0/lang.js:204
()@/usr/share/gnome-shell/js/ui/status/bluetooth.js:56
wrapper()@/usr/share/gjs-1.0/lang.js:204
()@/usr/share/gjs-1.0/lang.js:145
()@/usr/share/gjs-1.0/lang.js:239
()@/usr/share/gnome-shell/js/ui/panel.js:1135
wrapper()@/usr/share/gjs-1.0/lang.js:204
start()@/usr/share/gnome-shell/js/ui/main.js:234
@<main>:1
"'
Предупредување од менаџерот на прозорци:Log level 32: Execution of main.js threw exception: TypeError: GnomeBluetoothApplet.KillswitchState is undefined

(gnome-settings-daemon:3372): updates-plugin-WARNING **: Failed to get symlink: Error when getting information for file '/run/udev/firmware-missing/amd-ucode/microcode_amd.bin': No such file or directory

gnome-session[3319]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
(gnome-settings-daemon:3372): Gdk-WARNING **: gnome-settings-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
(gnome-terminal:3417): Gdk-WARNING **: gnome-terminal: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 2772 requests (2768 known processed) with 0 events remaining.

(gdu-notification-daemon:3426): Gdk-WARNING **: gdu-notification-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

parcellite: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
running parcellite not found
PRI fifo 5
CLI fifo 6 PRI fifo 5
Unable to load pref 'automatic_paste'
Unable to load pref 'auto_key'
Unable to load pref 'auto_mouse'
Unable to load pref 'current_on_top'
Unable to load pref 'persistent_history'
Unable to load pref 'persistent_separate'
Unable to load pref 'persistent_on_top'
Unable to load pref 'persistent_delim'
Unable to load pref 'phistory_key'
Looking for 'indicator-appmenu'
g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
mintUpdate.py: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
(gnome-sound-applet:3423): Gdk-WARNING **: gnome-sound-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
dropbox: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
(nm-applet:3435): Gdk-WARNING **: nm-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
(nautilus:3419): Gdk-WARNING **: nautilus: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 44307 requests (44303 known processed) with 0 events remaining.
Stopping aa-notify
Also, many menu items are missing in XFCE. Something wrong with XDG?

GeneC
Level 7
Level 7
Posts: 1599
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by GeneC »

maxibuntu wrote:Gnome desktop starts but Gnome Shell doesn't.
[...]
Also, many menu items are missing in XFCE. Something wrong with XDG?
I can confirm that Gnome Shell (or Cinnamon with composting) does not load correctly after DU, no panel, no composting. Gnome fallback does load.
Using Nvidia driver

Code: Select all

gene@lmde-cin ~ $ sudo apt-get update && sudo apt-get dist-upgrade
[...]
Calculating upgrade... Done
The following NEW packages will be installed:
  libgnome-bluetooth11
The following packages will be upgraded:
  fonts-cantarell gir1.2-gnomebluetooth-1.0 gnome-bluetooth libc-bin libc-dev-bin libc6 libc6-dev libgpgme11 libnm-gtk0 libsystemd-daemon0 libsystemd-login0 locales
  mscompress multiarch-support network-manager-gnome
15 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 16.1 MB of archives.
After this operation, 1,065 kB of additional disk space will be used.
Do you want to continue [Y/n]? 

Code: Select all

gene@lmde-cin ~ $ inxi -F
System:    Host: lmde-cin Kernel: 3.8-6.dmz.1-liquorix-amd64 x86_64 (64 bit) Desktop: Gnome Distro: Linux Mint LMDE
Machine:   Mobo: ASUSTeK model: M4A88TD-M/USB3 version: Rev X.0x Bios: American Megatrends version: 1501 date: 08/09/2012
CPU:       Quad core AMD Phenom II X4 955 (-MCP-) cache: 2048 KB flags: (lm nx sse sse2 sse3 sse4a svm) 
           Clock Speeds: 1: 800.00 MHz 2: 800.00 MHz 3: 800.00 MHz 4: 3200.00 MHz
Graphics:  Card: NVIDIA GF104 [GeForce GTX 460] X.Org: 1.12.4 driver: nvidia Resolution: 1680x1050@60.0hz 
           GLX Renderer: GeForce GTX 460/PCIe/SSE2 GLX Version: 4.3.0 NVIDIA 319.23
[...]

User avatar
mockturtl
Level 4
Level 4
Posts: 452
Joined: Sat Oct 09, 2010 8:51 pm

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by mockturtl »

They [url=http://ftp-master.metadata.debian.org/changelogs/main/g/gnome-bluetooth/unstable_changelog]didn't catch[/url] the breakage.

It looks fixed in [url=http://sources.debian.net/src/gnome-shell/3.8.3-1/js/ui/status/bluetooth.js#L94]gnome-shell experimental[/url] (3.8.x), but I think it will [url=http://release.debian.org/transitions/html/gnome-bluetooth.html]break[/url] anyway.

Code: Select all

JS ERROR: !!!   Exception was: TypeError: GnomeBluetoothApplet.KillswitchState is undefined
    JS ERROR: !!!     message = '"GnomeBluetoothApplet.KillswitchState is undefined"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/status/bluetooth.js"'
    JS ERROR: !!!     lineNumber = '97'
    JS ERROR: !!!     stack = '"()@/usr/share/gnome-shell/js/ui/status/bluetooth.js:97
The KillswitchState definitions (but not Capabilities, or Type!) moved from GnomeBluetoothApplet to GnomeBluetooth.

I think this patch should fix it.
Image

Chris M
Level 2
Level 2
Posts: 87
Joined: Mon Nov 29, 2010 10:01 pm

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by Chris M »

maxibuntu wrote:Also, many menu items are missing in XFCE. Something wrong with XDG?
My menu doesn't seem to be affected, but items seem to be missing from my XFCE Settings.

http://release.debian.org/migration/accepted.html

70 packages are going in right now. One of them is xfce4-settings: trying to update xfce4-settings from 4.10.1-1 to 4.10.1-2 (candidate is 11 days old)

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

Chris M wrote:
maxibuntu wrote:Also, many menu items are missing in XFCE. Something wrong with XDG?
My menu doesn't seem to be affected, but items seem to be missing from my XFCE Settings.

http://release.debian.org/migration/accepted.html

70 packages are going in right now. One of them is xfce4-settings: trying to update xfce4-settings from 4.10.1-1 to 4.10.1-2 (candidate is 11 days old)
Thx for the pointer. I have 4.10.1-2 installed, still a lot of missing items. Maybe I'll try to find out what's wrong later.

zerozero
Level 16
Level 16
Posts: 6480
Joined: Tue Jul 07, 2009 2:29 pm

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by zerozero »

i'm not so sure if it's xfce4-settings

Code: Select all

zerozero@zerozero-vb:~$ cat /var/log/dpkg.log.1 | grep xfce4-settings
2013-05-24 12:53:35 upgrade xfce4-settings:amd64 4.10.0-1 4.10.1-1
2013-05-24 12:53:35 status half-configured xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:35 status unpacked xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:35 status half-installed xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:36 status half-installed xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:36 status half-installed xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:36 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:53:36 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 configure xfce4-settings:amd64 4.10.1-1 <none>
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status half-configured xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status installed xfce4-settings:amd64 4.10.1-1
zerozero@zerozero-vb:~$ cat /var/log/dpkg.log | grep xfce4-settings
2013-06-22 15:46:43 upgrade xfce4-settings:amd64 4.10.1-1 4.10.1-2
2013-06-22 15:46:43 status half-configured xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status unpacked xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status half-installed xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status half-installed xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status half-installed xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:43 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 configure xfce4-settings:amd64 4.10.1-2 <none>
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status half-configured xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status installed xfce4-settings:amd64 4.10.1-2
zerozero@zerozero-vb:~$ 
i did these upgrades (sid) long ago and can't replicate any of these issues
Image

[ bliss of ignorance ]

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

zerozero wrote:i'm not so sure if it's xfce4-settings

Code: Select all

zerozero@zerozero-vb:~$ cat /var/log/dpkg.log.1 | grep xfce4-settings
2013-05-24 12:53:35 upgrade xfce4-settings:amd64 4.10.0-1 4.10.1-1
2013-05-24 12:53:35 status half-configured xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:35 status unpacked xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:35 status half-installed xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:36 status half-installed xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:36 status half-installed xfce4-settings:amd64 4.10.0-1
2013-05-24 12:53:36 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:53:36 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 configure xfce4-settings:amd64 4.10.1-1 <none>
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status unpacked xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status half-configured xfce4-settings:amd64 4.10.1-1
2013-05-24 12:54:18 status installed xfce4-settings:amd64 4.10.1-1
zerozero@zerozero-vb:~$ cat /var/log/dpkg.log | grep xfce4-settings
2013-06-22 15:46:43 upgrade xfce4-settings:amd64 4.10.1-1 4.10.1-2
2013-06-22 15:46:43 status half-configured xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status unpacked xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status half-installed xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status half-installed xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status half-installed xfce4-settings:amd64 4.10.1-1
2013-06-22 15:46:43 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:43 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 configure xfce4-settings:amd64 4.10.1-2 <none>
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status unpacked xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status half-configured xfce4-settings:amd64 4.10.1-2
2013-06-22 15:46:57 status installed xfce4-settings:amd64 4.10.1-2
zerozero@zerozero-vb:~$ 
i did these upgrades (sid) long ago and can't replicate any of these issues
Sorry people my mistake. I have a complicated XDG setup in ~/.local/share/applications. Once in a while tmpreaper cleans out ~/.local. I protect the ~/.local/share/applications dir in the tmpreaper config but for some reason no file or directory in ~/.local is protected by tmpreaper. It always cleans out everything in that dir that's over a month old, strange. But that's beside the scope of this thread.

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

For a number of days now I have constant annoying apparmor popups, about every 10 minutes.

In /var/log/kern.log:

Code: Select all

Jul  2 20:39:36 hostname kernel: [ 7040.503657] type=1400 audit(1372790376.165:41): apparmor="DENIED" operation="open" parent=3153 profile="/usr/sbin/smbd" name="/usr/share/p11-kit/modules/" pid=19574
EDIT: FIXED BY PURGING AND REINSTALLING APPARMOR-PROFILES.

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

GeneC wrote:
maxibuntu wrote:Gnome desktop starts but Gnome Shell doesn't.
I can confirm that Gnome Shell (or Cinnamon with composting) does not load correctly after DU, no panel, no composting. Gnome fallback does load.
Using Nvidia driver
Gnome Shell is fixed with today's updates.

zerozero
Level 16
Level 16
Posts: 6480
Joined: Tue Jul 07, 2009 2:29 pm

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by zerozero »

maxibuntu wrote:
GeneC wrote:
maxibuntu wrote:Gnome desktop starts but Gnome Shell doesn't.
I can confirm that Gnome Shell (or Cinnamon with composting) does not load correctly after DU, no panel, no composting. Gnome fallback does load.
Using Nvidia driver
Gnome Shell is fixed with today's updates.
apparently the "fix" doesn't fix all the issues
Josselin Mouette <xxxxxxxxxxx>

22:58 (10 minutes ago)

to debian-gtk-gno.
Hi all,

despite some workarounds added to the gnome-shell package, some users
have still complained of more or less frequent deadlocks of the shell
(usually 10 minutes after login), forcing them to fall back to GNOME
Classic or other desktops.

We know vaguely where this comes from, and it should be fixed in GNOME
3.8, but in the meantime we can improve the situation in wheezy.

If you have been affected by such deadlocks, please test gnome-shell
3.4.2-11 in unstable. I can also provide wheezy packages if needed. If
the deadlock happens, it should now soon after login, and the shell
should restart after 10 seconds instead of remaining locked. It’s still
far from perfect, of course, but it should be a big improvement over
losing the session.

If the tests are conclusive, we’ll upload this fix into wheezy in the
next point release.

Thanks,
Image

[ bliss of ignorance ]

GeneC
Level 7
Level 7
Posts: 1599
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by GeneC »

zerozero wrote:
GeneC wrote:
maxibuntu wrote:Gnome desktop starts but Gnome Shell doesn't.
I can confirm that Gnome Shell (or Cinnamon with composting) does not load correctly after DU, no panel, no composting. Gnome fallback does load.
Using Nvidia driver
apparently the "fix" doesn't fix all the issues
Josselin Mouette <xxxxxxxxxxx>

22:58 (10 minutes ago)

to debian-gtk-gno.
Hi all,

despite some workarounds added to the gnome-shell package, some users
have still complained of more or less frequent deadlocks of the shell
(usually 10 minutes after login), forcing them to fall back to GNOME
Classic or other desktops.

We know vaguely where this comes from, and it should be fixed in GNOME
3.8, but in the meantime we can improve the situation in wheezy.

If you have been affected by such deadlocks, please test gnome-shell
3.4.2-11 in unstable
. I can also provide wheezy packages if needed. If
the deadlock happens, it should now soon after login, and the shell
should restart after 10 seconds instead of remaining locked. It’s still
far from perfect, of course, but it should be a big improvement over
losing the session.

If the tests are conclusive, we’ll upload this fix into wheezy in the
next point release.

Thanks,
Thanks for the info 'z'. Upgrading to gnome-shell 3.4.2-11 in SID fixes things for me. It does not lock at all... :)

Code: Select all

gene@lmde-cin ~ $ apt-cache policy gnome-shell
gnome-shell:
  Installed: 3.4.2-11
  Candidate: 3.4.2-11
  Version table:
 *** 3.4.2-11 0
        100 /var/lib/dpkg/status
     3.4.2-10 0
        700 http://ftp.ca.debian.org/debian/ testing/main amd64 Packages
[rimg]http://img5.imageshack.us/img5/5070/1k51.png[/rimg]

PS.
I tested 'Mock's' patch and it failed for me. Sorry.. :(

era506
Level 1
Level 1
Posts: 13
Joined: Fri Dec 21, 2007 11:07 pm
Location: Heredia, Costa Rica

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by era506 »

Hi,

So I have LMDE tracking testing with sid/experimental repositories enabled and the following settings for pinning:

Code: Select all

Package: *
Pin: release o=linuxmint
Pin-Priority: 700

Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 700

Package: *
Pin: release a=testing
Pin-Priority: 500

Package: *
Pin: release a=unstable
Pin-Priority: -10

Package: *
Pin: release a=experimental
Pin-Priority: -10
I've had no problems so far until recently when I get several important packages to be removed:
screenshot1.png
Anyone seen this before? I didn't see anything immediately obvious in previous pages of this thread.

User avatar
bithir
Level 1
Level 1
Posts: 10
Joined: Fri Jul 06, 2012 1:19 pm

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by bithir »

era506 wrote: Anyone seen this before? I didn't see anything immediately obvious in previous pages of this thread.
Sounds scary to have sid experimental together with testing. However, I had similar issues yesterday because conflicting dependencies due to deb-multiemedia repo. In the end I thought I check if I could ignore deb-multimedia and had some fun and joy with purging about 60 packages and re-installing from Debian testing. Could be your culprit too, if you use it. Either wait it out until they fix it, or purge it. :)

era506
Level 1
Level 1
Posts: 13
Joined: Fri Dec 21, 2007 11:07 pm
Location: Heredia, Costa Rica

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by era506 »

bithir wrote:
era506 wrote: Anyone seen this before? I didn't see anything immediately obvious in previous pages of this thread.
Sounds scary to have sid experimental together with testing. However, I had similar issues yesterday because conflicting dependencies due to deb-multiemedia repo. In the end I thought I check if I could ignore deb-multimedia and had some fun and joy with purging about 60 packages and re-installing from Debian testing. Could be your culprit too, if you use it. Either wait it out until they fix it, or purge it. :)
Hehe! Well, those pinning settings actually make things way less scary, they allow me to track Testing and occasionally install packages from sid/expermental and their dependencies. In the end I have mostly Testing packages and some sid/experimental packages here and there.

Anyway, I do have deb multimedia repositories. I'll try purging them and cross fingers that's the issue :D Thanks!

EDIT: Ok, went with a slightly different approach. I did an apt-get upgrade instead of an apt-get dist-upgrade. All went OK save some packages that were kept back. Then, checking with aptitude I got a bit more info:

Code: Select all

edraac-desktop edraac # aptitude full-upgrade 
The following NEW packages will be installed:
  libcolorhug1{a} libopus0:i386{ab} 
The following packages will be upgraded:
  colord libjack-jackd2-0 libjack-jackd2-0:i386 
3 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,217 kB of archives. After unpacking 734 kB will be used.
The following packages have unmet dependencies:
 libopus0 : Conflicts: libopus0:i386 but 1.1~alpha+20130512-1 is to be installed.
 libopus0:i386 : Conflicts: libopus0 but 1.1~alpha+20130512-1 is installed.
The following actions will resolve these dependencies:

     Remove the following packages:                       
1)     google-earth-stable                                
2)     ia32-libs                                          
3)     ia32-libs-i386:i386                                
4)     libjack-jackd2-0:i386                              

     Keep the following packages at their current version:
5)     libopus0:i386 [Not Installed]                      

Accept this solution? [Y/n/q/?]
So it seems the issue is with libopus0?

michelsberg
Level 1
Level 1
Posts: 12
Joined: Fri Aug 12, 2011 4:08 am
Location: Germany

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by michelsberg »

Today's CUPS update broke my network printer config.

cherry-picked from /var/log/apt/history.log:

removed package:

Code: Select all

libcupsdriver1:amd64 (1.5.3-5)
Installed packages:

Code: Select all

cups-server-common:amd64 (1.6.2-10, automatic)  cups-daemon:amd64 (1.6.2-10, automatic)  cups-browsed:amd64 (1.0.34-3, automatic)
upgraded packages:

Code: Select all

libcups2:amd64 (1.5.3-5, 1.6.2-10)  libcups2:i386 (1.5.3-5, 1.6.2-10)  libcupsmime1:amd64 (1.5.3-5, 1.6.2-10)  cups-client:amd64 (1.5.3-5, 1.6.2-10)   libcupsimage2:amd64 (1.5.3-5, 1.6.2-10)  cups:amd64 (1.5.3-5, 1.6.2-10) cups-pk-helper:amd64 (0.2.3-3, 0.2.5-1)   cups-bsd:amd64 (1.5.3-5, 1.6.2-10)   libcupscgi1:amd64 (1.5.3-5, 1.6.2-10)   cups-filters:amd64 (1.0.18-2.1, 1.0.34-3)  libcupsppdc1:amd64 (1.5.3-5, 1.6.2-10)   cups-common:amd64 (1.5.3-5, 1.6.2-10)    python-cupshelpers:amd64 (1.4.1-2, 1.4.1-3)  cups-ppdc:amd64 (1.5.3-5, 1.6.2-10)  libcupsfilters1:amd64 (1.0.18-2.1, 1.0.34-3)  system-config-printer-udev:amd64 (1.4.1-2, 1.4.1-3)   

maxibuntu
Level 2
Level 2
Posts: 80
Joined: Thu Nov 24, 2011 9:56 am

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by maxibuntu »

After yesterday's (July 11th) updates, the mint updater crashes when refreshing the package list manually. Many other Gnome applications segfault:

Code: Select all

synaptic[7981]: segfault at 18 ip b7167150 sp bff4abb0 error 4 in libgtk-3.so.0.800.2[b6f3a000+512000]
gnome-terminal-[7508]: segfault at 18 ip b73f2150 sp bfacc940 error 4 in libgtk-3.so.0.800.2[b71c5000+512000]
nautilus[15407]: segfault at 18 ip b7422150 sp bfcad660 error 4 in libgtk-3.so.0.800.2[b71f5000+512000]
gedit[12181]: segfault at 18 ip b7381150 sp bfee4c10 error 4 in libgtk-3.so.0.800.2[b7154000+512000]
Edit: I just found out that this only happens when I try to run Gnome applications in XFCE (don't you just love al these different desktops in Linux).

Btw: is there a possibility to report and follow these issues on some Debian site? Or is that 'Debian developers only' territory?

GeneC
Level 7
Level 7
Posts: 1599
Joined: Fri Sep 03, 2010 1:59 pm
Location: Maine, USA

Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]

Post by GeneC »

Fesiitis wrote:After yesterday update (10.07.2013) and computer restart today, I can't run any program now. For example - I try run Firefox but anything not happens, it's just not open. When I try run Firefox using default command (/opt/firefox/firefox) in Terminal then it open.
Any solutions?
Re: Upgrade Warnings: LMDE tracking TESTING [13-06-13]
Postby maxibuntu on Fri Jul 12, 2013 5:53 am

After yesterday's (July 11th) updates, the mint updater crashes when refreshing the package list manually. Many other Gnome applications segfault:

Code: Select all

synaptic[7981]: segfault at 18 ip b7167150 sp bff4abb0 error 4 in libgtk-3.so.0.800.2[b6f3a000+512000]
gnome-terminal-[7508]: segfault at 18 ip b73f2150 sp bfacc940 error 4 in libgtk-3.so.0.800.2[b71c5000+512000]
nautilus[15407]: segfault at 18 ip b7422150 sp bfcad660 error 4 in libgtk-3.so.0.800.2[b71f5000+512000]
gedit[12181]: segfault at 18 ip b7381150 sp bfee4c10 error 4 in libgtk-3.so.0.800.2[b7154000+512000]
Edit: I just found out that this only happens when I try to run Gnome applications in XFCE (don't you just love al these different desktops in Linux).

Btw: is there a possibility to report and follow these issues on some Debian site? Or is that 'Debian developers only' territory?
These breakages are most likely due to gtk upgrades (gnome 3.4 to 3.8..) -- namely libgtk-3-0 and depends
Try changing theme to default 'Adwaita'.
Btw: is there a possibility to report and follow these issues on some Debian site? Or is that 'Debian developers only' territory?
Several libgtk-3-0 bugs have been reported... but, you can add to them... :wink:
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=libgtk-3-0;dist=unstable

HERE
http://www.debian.org/Bugs/

Locked

Return to “LMDE Archive”